package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Attributevalue generated by hbm2java
 */
@Entity
@Table(name="attributevalue"
    ,catalog="openbravopos"
)
public class Attributevalue  implements java.io.Serializable {


     private String id;
     private Attribute attribute;
     private String value;

    public Attributevalue() {
    }

	
    public Attributevalue(String id, Attribute attribute) {
        this.id = id;
        this.attribute = attribute;
    }
    public Attributevalue(String id, Attribute attribute, String value) {
       this.id = id;
       this.attribute = attribute;
       this.value = value;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ATTRIBUTE_ID", nullable=false)
    public Attribute getAttribute() {
        return this.attribute;
    }
    
    public void setAttribute(Attribute attribute) {
        this.attribute = attribute;
    }

    
    @Column(name="VALUE")
    public String getValue() {
        return this.value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }




}


